# SNESSetRhs

Sets the vector for solving F(x) = rhs. If rhs is not set it assumes a zero right hand side.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESSetRhs(SNES snes,Vec rhs)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| rhs | - the right hand side vector or PETSC_NULL for a zero right hand side

### Keywords

SNES, nonlinear, set, function, right hand side

### See Also

SNESGetRhs(), SNESGetFunction(), SNESComputeFunction(), SNESSetJacobian(), SNESSetFunction()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages